--- a/kernel/dkms.conf
+++ b/kernel/dkms.conf
@@ -1,12 +1,21 @@
 PACKAGE_NAME="nvidia"
-PACKAGE_VERSION="__VERSION_STRING"
+PACKAGE_VERSION="570.133.07"
 AUTOINSTALL="yes"
 
 # By default, DKMS will add KERNELRELEASE to the make command line; however,
 # this will cause the kernel module build to infer that it was invoked via
 # Kbuild directly instead of DKMS. The dkms(8) manual page recommends quoting
 # the 'make' command name to suppress this behavior.
-MAKE[0]="'make' -j__JOBS NV_EXCLUDE_BUILD_MODULES='__EXCLUDE_MODULES' KERNEL_UNAME=${kernelver} modules"
+MAKE[0]="'make' -j"$(nproc)" NV_EXCLUDE_BUILD_MODULES='__EXCLUDE_MODULES' KERNEL_UNAME=${kernelver} modules"
 
 # The list of kernel modules will be generated by nvidia-installer at runtime.
-__DKMS_MODULES
+BUILT_MODULE_NAME[0]="nvidia"
+DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
+BUILT_MODULE_NAME[1]="nvidia-uvm"
+DEST_MODULE_LOCATION[1]="/kernel/drivers/video"
+BUILT_MODULE_NAME[2]="nvidia-modeset"
+DEST_MODULE_LOCATION[2]="/kernel/drivers/video"
+BUILT_MODULE_NAME[3]="nvidia-drm"
+DEST_MODULE_LOCATION[3]="/kernel/drivers/video"
+BUILT_MODULE_NAME[4]="nvidia-peermem"
+DEST_MODULE_LOCATION[4]="/kernel/drivers/video"
